package cn.wustlinghang.wusthelper.internal.undergrad.bean;

import cn.wustlinghang.mywust.core.parser.undergraduate.*;
import jakarta.enterprise.context.ApplicationScoped;

public class MywustParserBeans {
    @ApplicationScoped
    public UndergradCourseTableParser undergradCourseTableParser() {
        return new UndergradCourseTableParser();
    }

    @ApplicationScoped
    public UndergradScoreParser undergradScoreParser() {
        return new UndergradScoreParser();
    }

    @ApplicationScoped
    public UndergradStudentInfoPageParser undergradStudentInfoPageParser() {
        return new UndergradStudentInfoPageParser();
    }

    @ApplicationScoped
    public UndergradTrainingPlanPageParser undergradTrainingPlanPageParser() {
        return new UndergradTrainingPlanPageParser();
    }

    @ApplicationScoped
    public UndergradCreditStatusParser undergradCreditStatusParser() {
        return new UndergradCreditStatusParser();
    }

    @ApplicationScoped
    public UndergradExamDelayParser undergradExamDelayParser() {
        return new UndergradExamDelayParser();
    }
}
